Subject: 3 star applicant - Naukri.com -Native Arabic Expert - International BPO, Translator - Interpreter, Royal Embassy of Saudi Arabia, New Delhi, 5 years 8 months, Delhi, 9.50
From: Irfan Ahmad Padder <[email-masked]>
To: [email-masked]
Date: Sun, 23 Jun 2019 13:02:27 +0530

Not able to view Details? Learn More

Job Title
Native Arabic Expert - International BPO

40 Applicants

View All

Receiving applies matching 3 star(s) and above Modify Filters

Irfan Ahmad Padder

(3/5)

I have done Aalmiyah, which is equivalent to Higher Secondary Certificate from Jamiatul Falah, UP. I also completed BA Hons. Arabic from Jamia Millia Islamia (Central University) New Delhi in 2012 and later went on to work with some major Gulf Recruitment Agencies and NGOs in New Delhi for over a period of 2 years as Translator/Interpreter. I have been working with my current employer Royal Embassy of Saudi Arabia, New Delhi as Translator/Interpreter (Arabic-English-Arabic). My responsibilities include translating daily correspondence between the Embassy and the various offices of the Indian Government. Besides, I have to take responsibility of interpreter during the official meetings. I also attend conferences on politics, security and strategy on behalf of the embassy to take notes and prepare the reports. My work responsibility also includes looking after the visiting Official Delegations and arranging their stay & transportation, besides looking after all the itinerary.
View Attached CV

Key Skills Highly Qualified with High Translation skills (English & Arabic), Fluent in English Arabic & Hindi, Excellent knowledge of MS office & Internet.

Exp
5 years 8 months

CTC
9.50

Location
Delhi

Not Able to View Details? Learn More

Shortlist

Reject

Current Designation Translator - Interpreter
Current Company Royal Embassy of Saudi Arabia, New Delhi
Notice Period 15 Days or less
Previous Designation Not Mentioned

Contact Details
Mobile: 8447462693
Landline: Not Specified

Prefers Delhi / NCR
Education
Post Graduation Institute Not Mentioned
B.A
Jamia Milia Islamia (JMI)

Do you find this applicant relevant ? | YES | NO

Screen candidates easily using Questionnaire
Candidate while applying will answer the questions added in Questionnaire
Attach Questionnaire

You can call us at 1800 102 5558 and mail us at  [email-masked]

Report a problem